#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.5
visibility:           public
id:                   hOpenPGP-2.9.5-DK9wwnayiE01e8etdFi4Dg
key:                  hOpenPGP-2.9.5-DK9wwnayiE01e8etdFi4Dg
license:              MIT
copyright:            2012-2020  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  686087a211fc9a968b8e041c25ebdf27
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher

import-dirs:          /usr/lib/ghc-9.0.1/site-local/hOpenPGP-2.9.5
library-dirs:         /usr/lib/ghc-9.0.1/site-local/hOpenPGP-2.9.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/hOpenPGP-2.9.5
hs-libraries:         HShOpenPGP-2.9.5-DK9wwnayiE01e8etdFi4Dg
depends:
    aeson-1.5.6.0-FCXpoR7la5e15i9FMLdjlO
    asn1-encoding-0.9.6-Av5K3xyHzNnGzdVmmhgjD0
    attoparsec-0.14.2-72hMhO24dNA2HrGIlySvzh base-4.15.0.0
    base16-bytestring-1.0.1.0-LlgskbLwpJJ83fb8QKOslS
    bifunctors-5.5.11-LyPL7W1wK6YBOsBrk318Ef binary-0.8.8.0
    binary-conduit-1.3.1-5BETyolPRmPKeO4moLoNSA bytestring-0.10.12.1
    bz2-1.0.1.0-34ZirBQrUJo6FqhJOCWA7E
    conduit-1.3.4.2-Kyx1PCqkvvlFn9EL9MSZ4a
    conduit-extra-1.3.5-Gvrqbt7Jooi8IziGjqaYwO containers-0.6.4.1
    crypto-cipher-types-0.0.9-2oAnHtqeRctAMvgq4mBtVl
    cryptonite-0.29-GNKcPcLwC5I8P1ng1K8c9E
    errors-2.3.0-FhBmHY7sMIf8wTT2E4ozOx
    hashable-1.3.4.1-8PH3sYtWVv45iE53pOmUfm
    incremental-parser-0.5.0.2-Ck0u94VKoJh8VXAPKx4h7b
    ixset-typed-0.5-JOgzGiNSXW22mMZrYlxRYT
    lens-5.0.1-HadSzQUPJ1K62n1E5u3hCC
    memory-0.16.0-CGaPOmXCTce28vOCDDnDFr
    monad-loops-0.4.3-CoSqVlGqFyAAyK5Lg2m9AJ
    nettle-0.3.0-LBTadu1XgKbBXssreAKwoe
    network-uri-2.6.4.1-9Lm7EsYzXDtEabp68X6rH1
    openpgp-asciiarmor-0.1.2-AWIsAKqnFDH6jPM3rB8eQq
    prettyprinter-1.7.1-GBtw9vLo68DAJBm0qmvirm
    resourcet-1.2.4.3-KWcDwjXcuv12GiHn6jACQF
    split-0.2.3.4-1lBjywyEo2E8ZtK3OY9TlD text-1.2.4.1 time-1.9.3
    time-locale-compat-0.1.1.5-HOIeHz8A3IdD2UbO8b27LU
    transformers-0.5.6.2 unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-4INWEfzekoJLPsSfbAftPl
    zlib-0.6.2.3-9IdsLkCbHQSFkfEtC1YMju

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

